org.icefaces.ace.component.tree

## Class TreeRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.renderkit.CoreRenderer
    - - org.icefaces.ace.component.tree.TreeRenderer

-     public class TreeRenderer
      extends CoreRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NODE_CELL`
    `static java.lang.String` | `NODE_CLASS`
    `static java.lang.String` | `NODE_CONTAINER_CLASS`
    `static java.lang.String` | `NODE_CONTRACTED_ICON_CLASS`
    `static java.lang.String` | `NODE_EXPANDED_ICON_CLASS`
    `static java.lang.String` | `NODE_ROW`
    `static java.lang.String` | `NODE_SELECTED_CLASS`
    `static java.lang.String` | `NODE_SELECTION_DISABLED_CLASS`
    `static java.lang.String` | `NODE_SWITCH_CLASS`
    `static java.lang.String` | `NODE_SWITCH_DISABLED_CLASS`
    `static java.lang.String` | `NODE_SWITCH_ICON_CLASS`
    `static java.lang.String` | `NODE_SWITCH_UNRENDERED_CLASS`
    `static java.lang.String` | `NODE_WRAPPER_CLASS`
    `static java.lang.String` | `SUBNODE_CONTAINER_CLASS`
    `static java.lang.String` | `TREE_CONTAINER_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class org.icefaces.ace.renderkit.CoreRenderer

      `addToAutoUpdate, convertClientId, decodeBehaviors, decodeBehaviors, encodeClientBehaviors, escapeText, getActionURL, getComponentResourceBundle, getEncodedURL, getEscapedClientId, getLocalisedMessageFromBundle, getResourceRequestPath, getResourceURL, isAjaxRequest, isPostBack, isPostback, isValueBlank, isValueEmpty, renderChild, renderChildren, renderPassThruAttributes, renderPassThruAttributes, renderPassThruAttributes, resolveWidgetVar, shouldRenderAttribute, themeForms`

    - ### Methods inherited from class javax.faces.render.Renderer

      `encodeBegin, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TREE_CONTAINER_CLASS

          public static final java.lang.String TREE_CONTAINER_CLASS

      See Also:
        Constant Field Values

    - #### NODE_CLASS

          public static final java.lang.String NODE_CLASS

      See Also:
        Constant Field Values

    - #### NODE_WRAPPER_CLASS

          public static final java.lang.String NODE_WRAPPER_CLASS

      See Also:
        Constant Field Values

    - #### NODE_CONTAINER_CLASS

          public static final java.lang.String NODE_CONTAINER_CLASS

      See Also:
        Constant Field Values

    - #### SUBNODE_CONTAINER_CLASS

          public static final java.lang.String SUBNODE_CONTAINER_CLASS

      See Also:
        Constant Field Values

    - #### NODE_SWITCH_CLASS

          public static final java.lang.String NODE_SWITCH_CLASS

      See Also:
        Constant Field Values

    - #### NODE_SWITCH_DISABLED_CLASS

          public static final java.lang.String NODE_SWITCH_DISABLED_CLASS

      See Also:
        Constant Field Values

    - #### NODE_SWITCH_UNRENDERED_CLASS

          public static final java.lang.String NODE_SWITCH_UNRENDERED_CLASS

      See Also:
        Constant Field Values

    - #### NODE_SELECTION_DISABLED_CLASS

          public static final java.lang.String NODE_SELECTION_DISABLED_CLASS

      See Also:
        Constant Field Values

    - #### NODE_SELECTED_CLASS

          public static final java.lang.String NODE_SELECTED_CLASS

      See Also:
        Constant Field Values

    - #### NODE_SWITCH_ICON_CLASS

          public static final java.lang.String NODE_SWITCH_ICON_CLASS

      See Also:
        Constant Field Values

    - #### NODE_EXPANDED_ICON_CLASS

          public static final java.lang.String NODE_EXPANDED_ICON_CLASS

      See Also:
        Constant Field Values

    - #### NODE_CONTRACTED_ICON_CLASS

          public static final java.lang.String NODE_CONTRACTED_ICON_CLASS

      See Also:
        Constant Field Values

    - #### NODE_CELL

          public static final java.lang.String NODE_CELL

      See Also:
        Constant Field Values

    - #### NODE_ROW

          public static final java.lang.String NODE_ROW

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TreeRenderer

          public TreeRenderer()

  - ### Method Detail

    - #### decode

          public void decode(javax.faces.context.FacesContext context,
                             javax.faces.component.UIComponent component)

      Overrides:
        `decode` in class `javax.faces.render.Renderer`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext facesContext,
                                javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.